#!/bin/bash

# 目标文件，用于保存提取的文本
output_file="extra.sh"

# 清空或创建目标文件
> $output_file

# 遍历当前目录下的所有文件
for file in *; do
    # 检查是否为文件（排除目录）
    if [ -f "$file" ]; then
        # 使用参数扩展提取“_”前的文本
        prefix="${file%%_*}"
        # 将提取的文本追加到目标文件中
        echo "$prefix" >> $output_file
    fi
done

echo "Extraction complete. Results saved in $output_file."
